Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.teleal.cling.binding.xml
Class UDA10DeviceDescriptorBinderImpl

    java.lang.Object
      org.teleal.cling.binding.xml.UDA10DeviceDescriptorBinderImpl

All Implemented Interfaces:
  DeviceDescriptorBinder

Direct Known Subclasses:
  UDA10DeviceDescriptorBinderSAXImpl

    public class UDA10DeviceDescriptorBinderImpl

extends Object
implements DeviceDescriptorBinder

Implementation based on JAXP DOM.

Author:
  Christian Bauer

Constructor Summary
`UDA10DeviceDescriptorBinderImpl()`

Method Summary
`Document` | `buildDOM(Device deviceModel, ControlPointInfo info, Namespace namespace)`
`
`<D extends Device> D`
` | `buildInstance(D undescribedDevice, MutableDevice descriptor)`
`
`<D extends Device> D`
` | `describe(D undescribedDevice, Document dom)`
`
`<D extends Device> D`
` | `describe(D undescribedDevice, String descriptorXml)`
`String` | `generate(Device deviceModel, ControlPointInfo info, Namespace namespace)`
`protected void` | `generateDevice(Namespace namespace, Device deviceModel, Document descriptor, Element rootElement, ControlPointInfo info)`
`protected void` | `generateDeviceList(Namespace namespace, Device deviceModel, Document descriptor, Element deviceElement, ControlPointInfo info)`
`protected void` | `generateIconList(Namespace namespace, Device deviceModel, Document descriptor, Element deviceElement)`
`protected void` | `generateRoot(Namespace namespace, Device deviceModel, Document descriptor, ControlPointInfo info)`
`protected void` | `generateServiceList(Namespace namespace, Device deviceModel, Document descriptor, Element deviceElement)`
`protected void` | `generateSpecVersion(Namespace namespace, Device deviceModel, Document descriptor, Element rootElement)`
`void` | `hydrateDevice(MutableDevice descriptor, Node deviceNode)`
`void` | `hydrateDeviceList(MutableDevice descriptor, Node deviceListNode)`
`void` | `hydrateIconList(MutableDevice descriptor, Node iconListNode)`
`protected void` | `hydrateRoot(MutableDevice descriptor, Element rootElement)`
`void` | `hydrateServiceList(MutableDevice descriptor, Node serviceListNode)`
`void` | `hydrateSpecVersion(MutableDevice descriptor, Node specVersionNode)`
`protected static URI` | `parseURI(String uri)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UDA10DeviceDescriptorBinderImpl

    public UDA10DeviceDescriptorBinderImpl()

Method Detail

### describe

    public <D extends Device> D describe(D undescribedDevice,
                                         String descriptorXml)
                              throws DescriptorBindingException,
                                     ValidationException

  Specified by:
    `describe` in interface `DeviceDescriptorBinder`
  Throws:
    `DescriptorBindingException`
    `ValidationException`

### describe

    public <D extends Device> D describe(D undescribedDevice,
                                         Document dom)
                              throws DescriptorBindingException,
                                     ValidationException

  Specified by:
    `describe` in interface `DeviceDescriptorBinder`
  Throws:
    `DescriptorBindingException`
    `ValidationException`

### buildInstance

    public <D extends Device> D buildInstance(D undescribedDevice,
                                              MutableDevice descriptor)
                                   throws ValidationException

  Throws:
    `ValidationException`

### hydrateRoot

    protected void hydrateRoot(MutableDevice descriptor,
                               Element rootElement)
                        throws DescriptorBindingException

  Throws:
    `DescriptorBindingException`

### hydrateSpecVersion

    public void hydrateSpecVersion(MutableDevice descriptor,
                                   Node specVersionNode)
                            throws DescriptorBindingException

  Throws:
    `DescriptorBindingException`

### hydrateDevice

    public void hydrateDevice(MutableDevice descriptor,
                              Node deviceNode)
                       throws DescriptorBindingException

  Throws:
    `DescriptorBindingException`

### hydrateIconList

    public void hydrateIconList(MutableDevice descriptor,
                                Node iconListNode)
                         throws DescriptorBindingException

  Throws:
    `DescriptorBindingException`

### hydrateServiceList

    public void hydrateServiceList(MutableDevice descriptor,
                                   Node serviceListNode)
                            throws DescriptorBindingException

  Throws:
    `DescriptorBindingException`

### hydrateDeviceList

    public void hydrateDeviceList(MutableDevice descriptor,
                                  Node deviceListNode)
                           throws DescriptorBindingException

  Throws:
    `DescriptorBindingException`

### generate

    public String generate(Device deviceModel,
                           ControlPointInfo info,
                           Namespace namespace)
                    throws DescriptorBindingException

  Specified by:
    `generate` in interface `DeviceDescriptorBinder`
  Throws:
    `DescriptorBindingException`

### buildDOM

    public Document buildDOM(Device deviceModel,
                             ControlPointInfo info,
                             Namespace namespace)
                      throws DescriptorBindingException

  Specified by:
    `buildDOM` in interface `DeviceDescriptorBinder`
  Throws:
    `DescriptorBindingException`

### generateRoot

    protected void generateRoot(Namespace namespace,
                                Device deviceModel,
                                Document descriptor,
                                ControlPointInfo info)

### generateSpecVersion

    protected void generateSpecVersion(Namespace namespace,
                                       Device deviceModel,
                                       Document descriptor,
                                       Element rootElement)

### generateDevice

    protected void generateDevice(Namespace namespace,
                                  Device deviceModel,
                                  Document descriptor,
                                  Element rootElement,
                                  ControlPointInfo info)

### generateIconList

    protected void generateIconList(Namespace namespace,
                                    Device deviceModel,
                                    Document descriptor,
                                    Element deviceElement)

### generateServiceList

    protected void generateServiceList(Namespace namespace,
                                       Device deviceModel,
                                       Document descriptor,
                                       Element deviceElement)

### generateDeviceList

    protected void generateDeviceList(Namespace namespace,
                                      Device deviceModel,
                                      Document descriptor,
                                      Element deviceElement,
                                      ControlPointInfo info)

### parseURI

    protected static URI parseURI(String uri)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 Teleal GmbH, Switzerland. All Rights Reserved.